SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO



ALTER   view orange_billing_period_view
(startyear, startmonth, startday, endyear, endmonth, endday, default_mb)
as
select a.startyear, a.startmonth, startday, endyear, endmonth, endday, 
	0.0 as default_mb
from orange_billing_period_raw_view a,
(select startyear, startmonth, max(counting)as max_counting
from orange_billing_period_raw_view
group by startyear, startmonth) b
where a.startyear=b.startyear and a.startmonth=b.startmonth 
and a.counting=b.max_counting



GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

